class_name HostGame
extends JoinGame

@onready var start_button: Button = $StartGameButton


func _ready() -> void:
	Multiplayer.playerlist_label = $PlayerList
	if multiplayer.is_server():
		start_button.disabled = false
		start_button.visible = true
	Multiplayer.request_playerlist.rpc_id(1)

func _on_start_game_button_pressed() -> void:
	Multiplayer.switch_scene.rpc("res://maps/test_map.tscn")
